summaryrefslogtreecommitdiff
path: root/ext/etc
diff options
context:
space:
mode:
authorhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2017-04-11 09:46:53 (GMT)
committerhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2017-04-11 09:46:53 (GMT)
commit83dc06601fd29cc0bb7be5e4aa4f5fff4b53ae20 (patch)
tree83fe8b98740085670d48599109ff8c8beea0adf2 /ext/etc
parentadaffdd1cf94987e9b9aa261c756e72d4679e771 (diff)
Import gemspec from ruby/etc.
* Update configuraiton for gem release. * Bump version to 0.2.1. Because 0.2.0 is already reserved on rubygems.org git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58315 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/etc')
-rw-r--r--ext/etc/etc.gemspec40
1 files changed, 26 insertions, 14 deletions
diff --git a/ext/etc/etc.gemspec b/ext/etc/etc.gemspec
index 8f4d235..fd81ec3 100644
--- a/ext/etc/etc.gemspec
+++ b/ext/etc/etc.gemspec
@@ -1,17 +1,29 @@
-Gem::Specification.new do |s|
- s.name = "etc"
- s.version = '0.0.1'
- s.date = '2017-02-27'
- s.summary = "Provides access to information typically stored in UNIX /etc directory."
- s.description = "Provides access to information typically stored in UNIX /etc directory."
+# coding: utf-8
- s.require_path = %w{lib}
- s.files = %w{depend extconf.rb etc.c mkconstants.rb}
- s.extensions = %w{extconf.rb}
- s.required_ruby_version = ">= 2.5.0dev"
+Gem::Specification.new do |spec|
+ spec.name = "etc"
+ spec.version = "0.2.1"
+ soec.date = '2017-02-27'
+ spec.authors = ["Yukihiro Matsumoto"]
+ spec.email = ["matz@ruby-lang.org"]
- s.authors = ["Yukihiro Matsumoto"]
- s.email = ["matz@ruby-lang.org"]
- s.homepage = "https://www.ruby-lang.org"
- s.license = "BSD-2-Clause"
+ spec.summary = %q{Provides access to information typically stored in UNIX /etc directory.}
+ spec.description = %q{Provides access to information typically stored in UNIX /etc directory.}
+ spec.homepage = "https://github.com/ruby/etc"
+ spec.license = "BSD-2-Clause"
+
+ spec.files = `git ls-files -z`.split("\x0").reject do |f|
+ f.match(%r{^(test|spec|features)/})
+ end
+ spec.bindir = "exe"
+ spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
+ spec.require_paths = ["lib"]
+ spec.extensions = %w{extconf.rb}
+
+ spec.required_ruby_version = ">= 2.5.0dev"
+
+ spec.add_development_dependency "bundler"
+ spec.add_development_dependency "rake"
+ spec.add_development_dependency "rake-compiler"
+ spec.add_development_dependency "test-unit"
end